KABC::VCardConverter class Reference (kabc Library)

| # kabc Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KABC::VCardConverter Class Reference

Class to convert a vcard string to a addressee and vice versa. More...

`#include <vcardconverter.h>`

List of all members.

## Public Types
enum | Version { v2_1, v3_0 }
| v2_1 - VCard format version 2.1 v3_0 - VCard format version 3.0 More...
## Public Member Functions
| VCardConverter ()
| Constructor.
| ~VCardConverter ()
| Destructor.
bool | vCardToAddressee (const QString &str, Addressee &addr, Version version=v3_0)
| Converts a vcard string to an addressee.
bool | addresseeToVCard (const Addressee &addr, QString &str, Version version=v3_0)
| Converts an addressee to a vcard string.

## Detailed Description

Class to convert a vcard string to a addressee and vice versa.

At the moment there exists read support for vCard2.1 and vCard3.0 and write support for vCard3.0

Definition at line 35 of file vcardconverter.h.

## Member Enumeration Documentation

enum KABC::VCardConverter::Version

| v2_1 - VCard format version 2.1 v3_0 - VCard format version 3.0 Definition at line 43 of file vcardconverter.h.

## Constructor & Destructor Documentation

KABC::VCardConverter::VCardConverter | ( |  | ) |

| Constructor.

KABC::VCardConverter::~VCardConverter | ( |  | ) |

| Destructor.

## Member Function Documentation

bool KABC::VCardConverter::vCardToAddressee | ( | const QString & | str,
|  | Addressee & | addr,
|  | Version | version = v3_0
| ) |

  | Converts a vcard string to an addressee. Parameters:
  str | The vcard string.
  addr | The addressee.
  version | The version of the vcard string.

bool KABC::VCardConverter::addresseeToVCard | ( | const Addressee & | addr,
|  | QString & | str,
|  | Version | version = v3_0
| ) |

  | Converts an addressee to a vcard string. Parameters:
  addr | The addressee.
  str | The vcard string.
  version | The version of the vcard string.

The documentation for this class was generated from the following file:

- vcardconverter.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:29:51 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001